#
reinitialize
bg_color white
set stick_h_scale, 1
set valence, 0
#
# 	Loren Williams, Georgia Tech
# 	pymol script for anti-parallel-beta-sheet 

load files/3SZV.pdb, porin

create sheet, resi 175-215 and porin

remove resn hoh

create ribbon_sheet, sheet
remove ribbon_sheet and not (name N+O+CA+C+CB+H02)

create surface_sheet, sheet
remove surface_sheet and name H* and not name H02

create stick_schains_sheet, resi 175-215 and porin

hide everything, ribbon_sheet
show cartoon, ribbon_sheet
cartoon_fancy_helices, 0

hide everything, surface_sheet
show surface, surface_sheet
set transparency=0.4, surface_sheet

hide everything, stick_schains_sheet
show stick, stick_schains_sheet

create stick_strand_A, resi 175-183 and sheet
create stick_loop_AB, resi 183-189 and sheet
create stick_strand_B, resi 189-197 and sheet
create stick_loop BC, resi 197-201 and sheet
create stick_strand_C, resi 201-215 and sheet
remove /stick_loop_AB//A/PRO`186/H02

label ribbon_sheet and resi 179 and name CA, " Strand A"
label ribbon_sheet and resi 192 and name CA, " Strand B"
label ribbon_sheet and resi 206 and name CA, " Strand C"
label ribbon_sheet and resi 186 and name C, " Loop AB"
label ribbon_sheet and resi 199 and name CA, " Loop BC"

set label_color, lightorange, ribbon_sheet
set label_outline_color, lightorange, ribbon_sheet
set label_shadow_mode=2, ribbon_sheet
set label_size, 30.0, ribbon_sheet


color wheat, name C*
color blue, name N*
color red, name O*

color cyan, ribbon_sheet

color wheat, ribbon_sheet and resi 175-183
color lightpink, ribbon_sheet and resi 184-187
color palegreen, ribbon_sheet and resi 188-197
color paleyellow, ribbon_sheet and resi 198-200
color lightblue, ribbon_sheet and resi 201-215

color wheat, surface_sheet and resi 175-183
color lightpink, surface_sheet and resi 184-187
color palegreen, surface_sheet and resi 188-197
color paleyellow, surface_sheet and resi 198-200
color lightblue, surface_sheet and resi 201-215


show stick, stick_*
remove stick_strand_* and not (name N+O+CA+C+CB+H02) 
remove stick_loop_* and not (name N+O+CA+C+CB+H02) 
remove /stick_loop_AB//A/PRO`186/H02

h_add stick_strand_* and name N
alter (name H0*),name='H'

dist hbond_NH_O, (name O,H and stick_strand_A), (name O,H and stick_strand_B), 2.2 
dist hbond_NH_O, (name O,H and stick_strand_B), (name O,H and stick_strand_C), 2.2 
dist hbond_NH_O, (name O and stick_loop_AB), (name H and stick_loop_AB), 2.2
dist hbond_NH_O, (name O and stick_loop_BC), (name H and stick_loop_BC), 2.2

#mode=2

color black, hbond_NH_O
set label_size, -0.30, hbond_NH_O
set dash_width, 3.0
set dash_gap, 0.3
set label_position, (1.2,0,0), hbond_NH_O

#------------------------------phi/psi------torsion angles

dihedral phi_a,  resi 180 and name C and stick_strand_A, resi 181 and name N and stick_strand_A, resi 181 and name CA and stick_strand_A, resi 181 and name C and stick_strand_A

create phi_a_atoms,  (resi 180 and name C and stick_strand_A)+(resi 181 and name N and stick_strand_A)+(resi 181 and name CA and stick_strand_A)+(resi 181 and name C and stick_strand_A)

dihedral psi_a,  resi 181 and name N and stick_strand_A, resi 181 and name CA and stick_strand_A, resi 181 and name C and stick_strand_A, resi 182 and name N and stick_strand_A 

create psi_a_atoms,  (resi 181 and name N and stick_strand_A)+(resi 181 and name CA and stick_strand_A)+(resi 181 and name C and stick_strand_A)+(resi 182 and name N and stick_strand_A)
 
show stick, phi_a_atoms
set stick_radius, 0.10, phi_a_atoms
label phi_a_atoms, name
show spheres, phi_a_atoms
alter phi_a_atoms, vdw=0.25
alter phi_a_atoms and name N, vdw=0.35
rebuild

show stick, psi_a_atoms
set stick_radius, 0.10, psi_a_atoms
label psi_a_atoms, name
show spheres, psi_a_atoms
alter psi_a_atoms, vdw=0.25
alter psi_a_atoms and name ca, vdw=0.35
rebuild

set label_color, red, phi_a
set label_color, red, phi_a_atoms
color red, phi_a

set label_color, blue, psi_a
set label_color, blue, psi_a_atoms
color blue, psi_a

set dihedral_size, 2.5, phi_a
set dihedral_size, 3.0, psi_a
set line_width, 10



#- Peptide Planes ------------------------------
python
import sys
sys.path.append('./files/')
from draw_plane_cgo import *

for i in range (175, 215):
	plnme = "plane" + str(i-175)
	st1= 'resi ' + str(i) + ' and name CA'
	st2= 'resi ' + str(i) + ' and name O'
	st3= 'resi ' + str(i+1) + ' and name H02'
	st4= 'resi ' + str(i+1) + ' and name CA'
	cmd.select("st1", st1)
	cmd.select("st2", st2)
	cmd.select("st3", st3)
	cmd.select("st4", st4)
	cstr = ''
	ccode = i%3
	if ccode == 1:
		cstr = "(255,0,255)"
	elif ccode == 2:
		cstr = "(255,255,0)"
	else:
		cstr = "(0,255,255)"

	draw_plane(plnme, "st1", "st2", "st3", "st4",cstr)
python end

delete st1
delete st2
delete st3
delete st4

#------------------------------- change atom names
alter (name H02),name='H'
sort
label stick_strand_*, name
label stick_loop_*, name
set label_size, -.15, stick_strand_*
set label_size, -.15, stick_loop_*

delete porin
delete sheet
disable all
enable ribbon_sheet
hide cartoon, stick_*

set_view (\
    -0.418863893,    0.773247898,    0.476063401,\
    -0.265657306,    0.396984220,   -0.878533125,\
    -0.868315876,   -0.494461745,    0.039136991,\
     0.000000000,    0.000000000, -123.934906006,\
    31.670442581,  -35.771678925,   21.265785217,\
   101.165222168,  146.704574585,  -20.000000000 )
### cut above here and paste into script ###